<!-- show list of categories as thumbnail with summary info -->
<div flex
	layout-wrap 
	layout="column"
	layout-align="center none"
	layout-gt-sm="row" 
	layout-align-gt-sm="center start">
	
	<md-card md-theme-watch ng-repeat="category in categories" flex="auto" style="direction: rtl;">
        <md-card-title>
        	<md-card-title-media>
				<div class="card-media">
		        	<img ng-if="category.thumbnail" 
		        		ng-src="/api/cms/{{category.thumbnail}}/download"
		        		style="max-height:200px;width:auto;"  
		        		alt="{{category.name}}">
		        	<img ng-if="!category.thumbnail"
		        		ng-src="images/default-folder.svg"
			  			style="max-height:200px;width:auto;"  
			  			alt="{{category.name}}">
		        </div>
	        </md-card-title-media>
          	<md-card-title-text layout-padding>
	            <span class="md-headline">{{category.name}}</span>
          	</md-card-title-text>
        </md-card-title>
        <md-card-content style="text-align: justify;">
          	<p>{{category.description | limitTo: 100}}{{category.description.length > 100 ? '...' : ''}}</p>
        </md-card-content>
        <md-card-actions layout="row" layout-align="center center" layout-wrap>
			<md-button class="md-raised" ng-href="category/{{category.id}}">{{'view' | translate}}</span></md-button>
        </md-card-actions>
    </md-card>
	<div ng-if="fetchingCategories" layout="column" layout-align="center center">
		<md-progress-circular md-mode="indeterminate"></md-progress-circular>
		<h4 translate>{{'loading ...'}}</h4>
	</div>
</div>